gRPC C#
gRPC C#
Namespaces
Grpc.Core
ClientBase Class
ClientBase Methods
CreateCall(TRequest, TResponse) Method

ClientBase CreateCall TRequest, TResponse Method

Creates a new call to given method.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    protected CallInvocationDetails<TRequest, TResponse> CreateCall<TRequest, TResponse>(
    	Method<TRequest, TResponse> method,
    	CallOptions options
    )
    where TRequest : class
    where TResponse : class

    Protected Function CreateCall(Of TRequest As Class, TResponse As Class) (
    	method As Method(Of TRequest, TResponse),
    	options As CallOptions
    ) As CallInvocationDetails(Of TRequest, TResponse)

    protected:
    generic<typename TRequest, typename TResponse>
    where TRequest : ref class
    where TResponse : ref class
    CallInvocationDetails<TRequest, TResponse> CreateCall(
    	Method<TRequest, TResponse>^ method,
    	CallOptions options
    )

    member CreateCall :
            method : Method<'TRequest, 'TResponse> *
            options : CallOptions -> CallInvocationDetails<'TRequest, 'TResponse>  when 'TRequest : not struct when 'TResponse : not struct

#### Parameters

method
  Type: Grpc.Core
  Method
  TRequest, TResponse
  The method to invoke.
options
  Type: Grpc.Core
  CallOptions
  The call options.

#### Type Parameters

TRequest
  Request message type.
TResponse
  Response message type.

#### Return Value

Type: CallInvocationDetails
TRequest, TResponse
The call invocation details.
See Also

#### Reference

ClientBase Class
Grpc.Core Namespace